Loading...
Searching...
No Matches
diststream.h

diststream - i/o streams in distributed environment More...

Go to the source code of this file.

## Classes

class | odiststream
| odiststream: see the diststream page for the full documentation More...
class | idiststream
| idiststream: see the diststream page for the full documentation More...

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_define_sequential_odiststream_raw_macro(arg)
#define | _RHEOLEF_define_sequential_odiststream_macro(T)
#define | _RHEOLEF_define_sequential_idiststream_macro(T)

## Functions

_RHEOLEF_define_sequential_odiststream_macro (char) _RHEOLEF_define_sequential_odiststream_macro(int) _RHEOLEF_define_sequential_odiststream_macro(unsigned int) _RHEOLEF_define_sequential_odiststream_macro(long int) _RHEOLEF_define_sequential_odiststream_macro(long unsigned int) _RHEOLEF_define_sequential_odiststream_macro(float) _RHEOLEF_define_sequential_odiststream_macro(double) _RHEOLEF_define_sequential_odiststream_macro(long double) _RHEOLEF_define_sequential_odiststream_macro(char *const) _RHEOLEF_define_sequential_odiststream_macro(std

_RHEOLEF_define_sequential_idiststream_macro (char) _RHEOLEF_define_sequential_idiststream_macro(int) _RHEOLEF_define_sequential_idiststream_macro(long int) _RHEOLEF_define_sequential_idiststream_macro(unsigned int) _RHEOLEF_define_sequential_idiststream_macro(long unsigned int) _RHEOLEF_define_sequential_idiststream_macro(float) _RHEOLEF_define_sequential_idiststream_macro(double) _RHEOLEF_define_sequential_idiststream_macro(long double) _RHEOLEF_define_sequential_idiststream_macro(std

bool | dis_scatch (idiststream &ips, const communicator &comm, std::string ch)
| distributed version of scatch(istream&,string)
bool | dis_scatch (idiststream &ips, std::string ch)
idiststream & | operator>> (idiststream &ids, const catchmark &m)
odiststream & | operator<< (odiststream &ods, const catchmark &m)
int | dis_system (const std::string &command, const communicator &comm)
bool | dis_file_exists (const std::string &filename, const communicator &comm)

## Detailed Description

diststream - i/o streams in distributed environment

Definition in file diststream.h.

## Macro Definition Documentation

## _RHEOLEF_define_sequential_odiststream_raw_macro

#define _RHEOLEF_define_sequential_odiststream_raw_macro | ( |  | arg | ) |

Value:
inline \
odiststream& \
operator << (odiststream& s, arg) { \
if (s.nop()) return s; \
s.os() << x; \
return s; \
}
operator<<
ostream & operator<<(ostream &os, const tiny_element &K)
Definition tiny_element.cc:27

Definition at line 260 of file diststream.h.

## _RHEOLEF_define_sequential_odiststream_macro

#define _RHEOLEF_define_sequential_odiststream_macro | ( |  | T | ) |

Value:
_RHEOLEF_define_sequential_odiststream_raw_macro(const T& x)
_RHEOLEF_define_sequential_odiststream_raw_macro
#define _RHEOLEF_define_sequential_odiststream_raw_macro(arg)
Definition diststream.h:260
T
Expr1::float_type T
Definition field_expr.h:230

Definition at line 268 of file diststream.h.

## _RHEOLEF_define_sequential_idiststream_macro

#define _RHEOLEF_define_sequential_idiststream_macro | ( |  | T | ) |

Value:
inline \
idiststream& \
operator>> (idiststream& s, T& x) \
{ \
if (s.do_load()) { (s.is()) >> x; } \
mpi::broadcast (mpi::communicator(), x, s.io_proc()); \
return s; \
}

Definition at line 417 of file diststream.h.